#
# Spec file for mock buildsys configuration
#
Summary:	The base set of packages for a mock chroot
Name:		buildsys-build
Version:	0.6
Release:	1.CF%{?dist}
License:	GPL
Group:		Development/Tools
Url:		http://www.city-fan.org/ftp/contrib/buildsys/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

# packages that populate a buildsys chroot
Requires: bash
Requires: bzip2
Requires: cpio
Requires: diffutils
Requires: gcc
Requires: gcc-c++
Requires: gzip
Requires: make
Requires: patch
Requires: rpm-build
Requires: sed
Requires: tar
Requires: unzip

# The rather long-winded format of the conditionals is needed for compatibility
# with old rpm versions such as were supplied with Red Hat Linux 7
%if "%{?fedora}" != ""
Requires: coreutils
Requires: fedora-release
Requires: redhat-rpm-config
%if "%{?fedora}" == "4" ||  "%{?fedora}" == "3" || "%{?fedora}" == "2" || "%{?fedora}" == "1"
Requires: buildsys-macros
Requires: elfutils
Requires: perl
Requires: python
%endif
%if "%{?fedora}" == "6" ||  "%{?fedora}" == "5"
Requires: buildsys-macros
Requires: perl
%endif
%if "%{?fedora}" == "8" ||  "%{?fedora}" == "7"
Requires: perl
%endif
%endif

%if "%{?rhl}" != ""
Requires: buildsys-macros
Requires: redhat-release
Requires: perl
Requires: python
%if "%{?rhl}" == "9"
Requires: coreutils
Requires: elfutils
Requires: redhat-rpm-config
%else
Requires: file
Requires: fileutils
Requires: findutils
%endif
# Cater for alternative versions of buildsys-macros
%if "%{?rhl}" == "8" || "%{?rhl}" == "8.0"
Requires: redhat-rpm-config
%endif
%endif

%if "%{?rhel}" != ""
Requires: coreutils
Requires: redhat-release
Requires: redhat-rpm-config
%if "%{?rhel}" == "3" || "%{?rhel}" == "4" || "%{?rhel}" == "5"
Requires: buildsys-macros
Requires: elfutils
Requires: perl
Requires: python
%else
Requires: findutils
Requires: gawk
Requires: grep
Requires: info
Requires: shadow-utils
Requires: util-linux-ng
%endif
%endif

%description
The base set of packages for a mock chroot

%prep

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc

%changelog
* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 0.6-1.CF
- Add support for Red Hat Enterprise Linux 6

* Mon Jun  4 2007 Paul Howarth <paul@city-fan.org> 0.5-3.CF
- buildsys-macros not needed for Fedora 7 onwards; they're provided by
  redhat-rpm-config

* Wed Aug 16 2006 Paul Howarth <paul@city-fan.org> 0.5-2.CF
- Add python for all distros older than Fedora Core 5

* Thu Jun 22 2006 Paul Howarth <paul@city-fan.org> 0.5-1.CF
- Remove which
- For FC < 5 or Red Hat Linux 9, include elfutils
- For non-Fedora distrbutions, require redhat-release instead of fedora-release
- For Red Hat Linux 8 and earlier, require fileutils instead of coreutils
- Red Hat Linux 8 requires findutils for brp-strip
- Include support for Red Hat Enterprise Linux 3 and 4
